For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • GETReturns all teams.
      • POSTCreates a new team.
      • GETReturns the team with the specified id.
      • PUTUpdates the team with the specified id.
      • DELDeletes the team with the specified id.
      • POSTAdds projects to the specified team.
      • POSTAdds users to the specified team.
      • POSTRemoves projects from the specified team.
      • POSTRemoves users from the specified team.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTeams

Adds users to the specified team.

POST
https://api.awork.com/api/v1/teams/:teamId/addusers
POST
/api/v1/teams/:teamId/addusers
$curl -X POST https://api.awork.com/api/v1/teams/teamId/addusers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> "9f8c1a2b-3d4e-5f6a-7b8c-9d0e1f2a3b4c",
> "2a4b6c8d-0e1f-2a3b-4c5d-6e7f8a9b0c1d"
>]'
1[
2 {
3 "userId": "9f8c1a2b-3d4e-5f6a-7b8c-9d0e1f2a3b4c",
4 "teamId": "5e6f7a8b-9c0d-1e2f-3a4b-5c6d7e8f9a0b"
5 },
6 {
7 "userId": "2a4b6c8d-0e1f-2a3b-4c5d-6e7f8a9b0c1d",
8 "teamId": "5e6f7a8b-9c0d-1e2f-3a4b-5c6d7e8f9a0b"
9 }
10]
<Check title="Required Permissions" icon="key">The user must be an admin.</Check>
Was this page helpful?
Previous

Removes projects from the specified team.

Next
Built with
Required Permissions
The user must be an admin.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

teamIdstringRequiredformat: "uuid"
The id of the team.

Request

The model with the list of user ids to add.

Response

OK
userIdstringformat: "uuid"
The id of the user.
teamIdstringformat: "uuid"
The id of the team.

Errors

400
Bad Request Error
404
Not Found Error